<?php
/**
 * sister Theme Customizer
 *
 * @package sister
 */

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function sister_customize_preview_js() {
	wp_enqueue_script( 'sister_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'sister_customize_preview_js' );

/**
 * Customizer CSS
 */
function sister_enqueue_customizer_controls_styles() {

  wp_register_style( 'sister-customizer-controls', get_template_directory_uri() . '/inc/options/customizer-controls.css', NULL, NULL, 'all' );
  wp_enqueue_style( 'sister-customizer-controls' );

  }
add_action( 'customize_controls_print_styles', 'sister_enqueue_customizer_controls_styles' );

/**
 * Customizer Admin JS
 */

function sister_enqueue_customizer_admin_scripts() {

  wp_register_script( 'customizer-admin-js', get_template_directory_uri() . '/js/customizer-admin.js', array( 'jquery' ), NULL, true );
  wp_enqueue_script( 'customizer-admin-js' );

  }

add_action( 'customize_controls_print_footer_scripts', 'sister_enqueue_customizer_admin_scripts' );

/**
 * Customizer Panel: Settings
 */
require get_template_directory() . '/inc/options/customizer-settings.php';

/**
 * Customizer Panel: General Style
 */
require get_template_directory() . '/inc/options/customizer-options.php';

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function sister_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'sister_customize_register' );